summaryrefslogtreecommitdiff
path: root/lxc/setup
diff options
context:
space:
mode:
authorTom Barrett <spalf0@gmail.com>2019-12-04 06:47:28 -0600
committerTom Barrett <spalf0@gmail.com>2019-12-04 06:47:28 -0600
commit2b91a602223757d52400d7a03533867479f5363f (patch)
tree6b9bdd74fb092b82e31d792749c780fff22784a3 /lxc/setup
parent851fc8abf99b35ba2704f45e9604aaf69d7a51b2 (diff)
full arch strap
Diffstat (limited to 'lxc/setup')
-rwxr-xr-xlxc/setup10
1 files changed, 10 insertions, 0 deletions
diff --git a/lxc/setup b/lxc/setup
new file mode 100755
index 0000000..5fdf825
--- /dev/null
+++ b/lxc/setup
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+
+virsh net-start default
+virsh net-autostart default
+
+echo "kernel.unprivileged_userns_clone=1" > /etc/sysctl.d/80-lxc-userns.conf
+echo "tom veth virbr0 2" > /etc/lxc/lxc-usernet
+echo "you should reboot now."
+